summaryrefslogtreecommitdiffstats
path: root/.unittests.sh
diff options
context:
space:
mode:
Diffstat (limited to '.unittests.sh')
-rwxr-xr-x.unittests.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/.unittests.sh b/.unittests.sh
new file mode 100755
index 0000000..70e1c05
--- /dev/null
+++ b/.unittests.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+#
+# Copyright (c) 2016 Red Hat, Inc.
+#
+# This file is licensed to you under your choice of the GNU Lesser
+# General Public License, version 3 or any later version (LGPLv3 or
+# later), or the GNU General Public License, version 2 (GPLv2), in all
+# cases as published by the Free Software Foundation.
+
+cd $(dirname $0)/test/unit
+nosetests -v --exe --with-coverage --cover-package gluster --cover-erase --cover-html --cover-branches $@
+
+saved_status=$?
+rm -f .coverage
+exit $saved_status